# CoffeeScript API Documentation

# Class: NoEmptyParamList

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_empty_param_list.coffee

## Variables Summary

rule =

      {
        name: 'no_empty_param_list',
        level: 'ignore',
        message: 'Empty parameter list is forbidden',
        description: "This rule prohibits empty parameter lists in function definitions.\n<pre>\n<code># The empty parameter list in here is unnecessary:\nmyFunction = () -&gt;\n\n###\nWe might favor this instead:\n###\nmyFunction = -&gt;\n</code>\n</pre>\nEmpty parameter lists are permitted by default."
      }

tokens =

      ["PARAM_START"]

## Instance Method Summary

- # (void) lintToken(token, tokenApi)

## Instance Method Details

# (void) lintToken(token, tokenApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input